## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 10;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name: ipcalc
Version: 1.0.3
Release: %autorelease
Summary: IP network address calculator
License: GPL-2.0-or-later
URL: https://gitlab.com/ipcalc/ipcalc
Source0: https://gitlab.com/ipcalc/ipcalc/-/archive/%{version}/ipcalc-%{version}.tar.gz

BuildRequires: gcc, libmaxminddb-devel, meson, rubygem-ronn-ng
Recommends:    libmaxminddb, geolite2-city, geolite2-country

# Explicitly conflict with older initscript packages that ship ipcalc
Conflicts: initscripts < 9.63
# Obsolete ipcalculator
Obsoletes:  ipcalculator < 0.41-20


%description
ipcalc provides a simple way to calculate IP information for a host
or network. Depending on the options specified, it may be used to provide
IP network information in human readable format, in a format suitable for
parsing in scripts, generate random private addresses, resolve an IP address,
or check the validity of an address.

%prep
%autosetup

%build
%meson -Duse_maxminddb=enabled -Duse_runtime_linking=enabled
%meson_build

%install
%meson_install

%check
%meson_test

%files

%{_bindir}/ipcalc
%license COPYING
%doc README.md
%{_mandir}/man1/ipcalc.1*

%changelog
## START: Generated by rpmautospec
* Thu Jul 18 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.3-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Wed Jan 24 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.3-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sat Jan 20 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.3-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Wed Aug 23 2023 Nikos Mavrogiannopoulos <n.mavrogiannopoulos@gmail.com> - 1.0.3-7
- Added packit config

* Wed Aug 23 2023 Nikos Mavrogiannopoulos <n.mavrogiannopoulos@gmail.com> - 1.0.3-6
- use %%autorelease and %%autochangelog

* Thu Jul 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.3-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Tue Jul 18 2023 Nikos Mavrogiannopoulos <n.mavrogiannopoulos@gmail.com> - 1.0.3-4
- packit: added issue_repository

* Tue Jul 18 2023 Nikos Mavrogiannopoulos <n.mavrogiannopoulos@gmail.com> - 1.0.3-3
- packit: added koji and bodhi updates

* Tue Jul 18 2023 Nikos Mavrogiannopoulos <n.mavrogiannopoulos@gmail.com> - 1.0.3-2
- Added packit.yaml for automating updates

* Wed Jun 07 2023 Nikos Mavrogiannopoulos <n.mavrogiannopoulos@gmail.com> - 1.0.3-1
- updated to 1.0.3

* Thu Feb 16 2023 Richard Lescak <rlescak@redhat.com> - 1.0.2-3
- SPDX migration

* Thu Jan 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Sat Nov 26 2022 Nikos Mavrogiannopoulos <n.mavrogiannopoulos@gmail.com> - 1.0.2-1
- updated to 1.0.2

* Thu Jul 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Thu Jan 20 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Thu Jul 22 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Thu Jun 17 2021 Richard Lescak <rlescak@redhat.com> - 1.0.1-1
- Updated to 1.0.1

* Tue Jan 26 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Mon Nov 23 2020 Nikos Mavrogiannopoulos <nmav@redhat.com> - 1.0.0-3
- updated nvr

* Mon Nov 23 2020 Nikos Mavrogiannopoulos <nmav@redhat.com> - 1.0.0-2
- replaced ronn with its successor

* Sat Oct 03 2020 Nikos Mavrogiannopoulos <n.mavrogiannopoulos@gmail.com> - 1.0.0-1
- ipcalc: updated to latest release

* Tue Jul 28 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Wed May 13 2020 Nikos Mavrogiannopoulos <nmav@redhat.com> - 0.4.1-2
- corrected date

* Fri Apr 24 2020 Nikos Mavrogiannopoulos <n.mavrogiannopoulos@gmail.com> - 0.4.1-1
- updated to 0.4.1

* Wed Jan 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 0.4.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Sat Dec 28 2019 Nikos Mavrogiannopoulos <nmav@gnutls.org> - 0.4.0-1
- updated to 0.4.0

* Sat Nov 23 2019 Nikos Mavrogiannopoulos <nmav@gnutls.org> - 0.3.0-1
- updated to 0.3.0

* Thu Jul 25 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.5-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Tue Feb 19 2019 Nikos Mavrogiannopoulos <nmav@redhat.com> - 0.2.5-2
- Re-added the geolite2-city, geolite2-country dependencies

* Mon Feb 18 2019 Nikos Mavrogiannopoulos <nmav@redhat.com> - 0.2.5-1
- updated to 0.2.5

* Mon Feb 18 2019 Nikos Mavrogiannopoulos <nmav@redhat.com> - 0.2.4-4
- added libmaxminddb dependency

* Fri Feb 01 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Thu Aug 09 2018 Nikos Mavrogiannopoulos <nmav@redhat.com> - 0.2.4-2
- Fix crash when -g option is used

* Mon Jul 23 2018 Nikos Mavrogiannopoulos <nmav@redhat.com> - 0.2.4-1
- updated to 0.2.4

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Thu May 31 2018 Nikos Mavrogiannopoulos <nmav@redhat.com> - 0.2.3-1
- updated to 0.2.3

* Fri Feb 09 2018 Florian Weimer <fweimer@redhat.com> - 0.2.2-4
- Another attempt at injecting LDFLAGS

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Thu Feb 01 2018 Florian Weimer <fweimer@redhat.com> - 0.2.2-2
- Build with linker flags from redhat-rpm-config

* Tue Jan 02 2018 Nikos Mavrogiannopoulos <nmav@redhat.com> - 0.2.2-1
- new upstream release

* Wed Aug 02 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.0-3
- Rebuilt for
  https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.2.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Mon May 15 2017 Nikos Mavrogiannopoulos <nmav@redhat.com> - 0.2.0-1
- updated to 0.2.0

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.8-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Wed Jun 15 2016 Nikos Mavrogiannopoulos <nmav@redhat.com> - 0.1.8-2
- updated sources

* Wed Jun 15 2016 Nikos Mavrogiannopoulos <nmav@redhat.com> - 0.1.8-1
- updated to ipcalc 0.1.8

* Fri Apr 01 2016 Nikos Mavrogiannopoulos <nmav@redhat.com> - 0.1.7-1
- updated to ipcalc 0.1.7

* Thu Feb 04 2016 Dennis Gilmore <dennis@ausil.us> - 0.1.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Tue Dec 08 2015 Nikos Mavrogiannopoulos <nmav@redhat.com> - 0.1.6-1
- updated to ipcalc 0.1.6

* Wed Oct 14 2015 Nikos Mavrogiannopoulos <nmav@redhat.com> - 0.1.4-2
- corrected issue in --all-info

* Wed Oct 14 2015 Nikos Mavrogiannopoulos <nmav@redhat.com> - 0.1.4-1
- updated to 0.1.4

* Tue Oct 06 2015 Nikos Mavrogiannopoulos <nmav@redhat.com> - 0.1.3-1
- updated to 0.1.3

* Mon Sep 21 2015 Nikos Mavrogiannopoulos <nmav@redhat.com> - 0.1.2-4
- bumped version to obsolete ipcalculator

* Thu Aug 13 2015 Nikos Mavrogiannopoulos <nmav@redhat.com> - 0.1.2-3
- added header to obsolete ipcalculator (#1250082)

* Wed Jun 17 2015 Dennis Gilmore <dennis@ausil.us> - 0.1.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Tue Jun 09 2015 Nikos Mavrogiannopoulos <nmav@redhat.com> - 0.1.2-1
- updated to 0.1.2

* Tue May 19 2015 Nikos Mavrogiannopoulos <nmav@redhat.com> - 0.1.1-1
- updated to 0.1.1

* Mon May 18 2015 Nikos Mavrogiannopoulos <nmav@redhat.com> - 0.1.0-1
- Added ipcalc package from initscripts
## END: Generated by rpmautospec
